apiVersion: apps/v1
kind: Deployment
metadata:
  name: mywebapp
  labels:
    app: mywebapp
spec:
  replicas: 2
  selector:
    matchLabels:
      app: pythonwebapp
  template:
    metadata:
      labels:
        app: pythonwebapp
    spec:
      containers:
      - name: pythonflask
        image: arjun207/flaskwebapp:1.0
        ports:
        - containerPort: 5000